com.amazon.redshift.core

## Class SocketFactoryFactory

- java.lang.Object
- - com.amazon.redshift.core.SocketFactoryFactory

    public class SocketFactoryFactory
    extends Object

Instantiates `SocketFactory` based on the `RedshiftProperty.SOCKET_FACTORY`.

### Constructor Summary

Constructors
Constructor and Description
`SocketFactoryFactory()`

### Method Summary

Methods
`static SocketFactory` `getSocketFactory(Properties info)` Instantiates `SocketFactory` based on the `RedshiftProperty.SOCKET_FACTORY`.
`static SSLSocketFactory` `getSslSocketFactory(Properties info)` Instantiates `SSLSocketFactory` based on the `RedshiftProperty.SSL_FACTORY`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketFactoryFactory

    public SocketFactoryFactory()

### Method Detail

#### getSocketFactory

    public static SocketFactory getSocketFactory(Properties info)
                                          throws RedshiftException

Instantiates `SocketFactory` based on the `RedshiftProperty.SOCKET_FACTORY`.

Parameters:
  `info` - connection properties
Returns:
  socket factory
Throws:
  `RedshiftException` - if something goes wrong

#### getSslSocketFactory

    public static SSLSocketFactory getSslSocketFactory(Properties info)
                                                throws RedshiftException

Instantiates `SSLSocketFactory` based on the `RedshiftProperty.SSL_FACTORY`.

Parameters:
  `info` - connection properties
Returns:
  SSL socket factory
Throws:
  `RedshiftException` - if something goes wrong